program UbezniZnaki; { RTK 1994.1.2 }
const 
  MaksDolzinaNiza = 100; { najveja dolina niza } 
  MaksStevk = 3;         { najveje tevilo tevk za znakom '\' } 
type 
  NizT = array[1..MaksDolzinaNiza] of Char; 
var 
  Niz: NizT;   { niz znakov za pretvorbo } 
  DolzinaNiza: integer;   { dolina niza } 
  
procedure Pretvori(var Niz: NizT; var DolzinaNiza: integer); 
var 
  i, j, k: integer; { tevci } 
  c: integer;       { koda znaka } 
begin
  i := 1; j := 0; 
  while i <= DolzinaNiza do begin 
    j := j + 1; 
    if Niz[i] = '\' then begin 
      i := i + 1; c := 0; k := 1; 
      while (i <= DolzinaNiza) and (k <= MaksStevk) and 
            (Niz[i] in ['0'..'9']) do begin 
        c := c * 10 + Ord(Niz[i]) - Ord('0'); 
        i := i + 1; k := k + 1; 
      end; {while}; 
      Niz[j] := Chr(c); 
    end else begin 
      Niz[j] := Niz[i]; i := i + 1; 
    end; {if}
  end; {while}
  DolzinaNiza := j; 
end; {Pretvori} 

procedure IzpisiNiz(Niz: NizT; DolzinaNiza: integer); 
var i: integer; 
begin
  for i := 1 to DolzinaNiza do Write(Niz[i]); 
  WriteLn; 
end; {IzpisiNiz} 

begin {UbezniZnaki}
  if ParamCount >= 1 then begin
    Niz := ParamStr(1); DolzinaNiza := Length(ParamStr(1));
  end else begin
    Niz := 'abc\100efg'; DolzinaNiza := 10; 
  end; {if}
  IzpisiNiz(Niz, DolzinaNiza); { izpie: 'abc\100efg' } 
  Pretvori(Niz, DolzinaNiza); 
  IzpisiNiz(Niz, DolzinaNiza); { izpie: 'abcdefg' } 
end. {UbezniZnaki} 
