program IzborKljuca;
uses Dos; { tam je podprogram GetTime }

  function Hex(n: integer): string;
  const S: array[0..15] of char = '0123456789abcdef';
  begin
    Hex := S[n mod 15] + S[(n div 16) mod 15] + 
           S[(n div 256) mod 15] + S[(n div 4096) mod 15];
  end; {Hex}

var
  j: integer;
  h, m, s, s100: word;     { trenutni as: ura (0..23), minuta (0..59),
                             sekunda (0..59) in stotinke sekunde (0..99) }
  r1, r2, r3, r4: integer; { 16-bitni deli konnega 64-bitnega kljua }
begin {IzborKljuca}
  GetTime(h, m, s, s100);  { v spremenljivkah vrne trenuten as }
  RandSeed := h * 60 + m;  { izraunamo zaetno "nakljuno" tevilo }
  for j := 1 to 10000 do Random;  { malo pomeamo } 
  r1 := Random(65536);     { prvih 16 bitov kljua } 
  r2 := Random(65536);     { drugih... } 
  r3 := Random(65536);
  r4 := Random(65536);
  WriteLn('Klju: ', Hex(r1), Hex(r2), Hex(r3), Hex(r4));
end. {IzborKljuca}