program Tombola; 
uses Zirija; 
type 
  P1000Words = ^T1000Words; 
  T1000Words = array[0..1000] of word; 
  P1000Bytes = ^T1000Bytes; 
  T1000Bytes = array[0..999] of byte; 
var 
  i, j, StSkupin, NovaSt: integer; W: word; N: byte; 
  NStevil: array[0..99] of P1000Bytes; { t.neizrebanih tevil na karticah } 
  { Katere kartice vsebujejo doloeno tevilo?  Element Kartice^[X, Y]^[Z] = Q 
    nam pove, da kartica t. 1000 * Y + Q vsebuje tevilko X. 
    Pri tem lahko Z zavzame vrednosti od 1 do Kartice^[X, Y]^[0]. }
  Kartice: array[1..100, 0..99] of P1000Words; 
  fIdx: file; 
  Zadetkov: longint; P: P1000Words; PN: P1000Bytes; 
begin
  Pripravi; 
  { Ugotovi tevilo kartic. } 
  if      ParamStr(1) = '1000'   then StSkupin := 1 
  else if ParamStr(1) = '10000'  then StSkupin := 10 
  else if ParamStr(1) = '100000' then StSkupin := 100 
  else    Halt; 
  { Preberi podatke o karticah. } 
  Assign(fIdx, 'k' + ParamStr(1) + '.idx'); 
  Reset(fIdx, 1); 
  for i := 0 to StSkupin - 1 do begin 
    for j := 1 to 100 do begin 
      BlockRead(fIdx, W, SizeOf(W)); { tevilo kartic, na katerih je tevilka J. } 
      GetMem(Kartice[j, i], SizeOf(Word) * (W + 1)); 
      Kartice[j, i]^[0] := W; 
      BlockRead(fIdx, Kartice[j, i]^[1], W * SizeOf(Word)); 
    end; {for j} 
    New(NStevil[i]); 
    { Na vseh karticah je e 15 neizrebanih tevil. } 
    for j := 0 to 999 do NStevil[i]^[j] := 15; 
  end; {for i} 
  Close(fIdx); 
  { rebaj. } 
  while Zrebaj(NovaSt) do begin 
    Zadetkov := 0; 
    for i := 0 to StSkupin - 1 do begin 
      P := Kartice[NovaSt, i]; PN := NStevil[i]; 
      for j := 1 to P^[0] do begin 
        W := P^[j]; { tevilka kartice. } 
        N := PN^[W] - 1; { Novo t. e neizrebanih tevilk na tej kartici. } 
        PN^[W] := N; 
        if (N = 0) then Inc(Zadetkov); 
      end; {for j}; 
    end; {for i}; 
    Zapisi(Zadetkov); 
  end; {while}
  { Pospravi. } 
  for i := 0 to StSkupin - 1 do begin 
    for j := 1 to 100 do 
      FreeMem(Kartice[j, i], SizeOf(Word) * (Kartice[j, i]^[0] + 1)); 
    Dispose(NStevil[i]); 
  end; {for} 
  Pospravi; 
end. {Tombola} 
