program RazlicnostNizov; { RTK 2003.2.3 }

function Razdalja(S, T: string): integer; 
var NS, NT: array['a'..'z'] of integer; 
    c: char; i, Vsota: integer; 
begin
  { Pretejmo, kolikokrat se posamezna rka pojavi v
    nizu S in kolikokrat v nizu T.  tevila pojavitev
    hranimo v tabelah NS in NT. }
  for c := 'a' to 'z' do { postavimo vse tevce na 0 }
    begin NS[c] := 0; NT[c] := 0; end; 
  for i := 1 to Length(S) do Inc(NS[S[i]]); 
  for i := 1 to Length(T) do Inc(NT[T[i]]); 
  { Rezultat je kar tevilo rk, ki bi jih bilo treba
    pobrisati ali dodati pri spreminjanju S-ja v T.
    e je NS[c] > NT[c], moramo zbrisati NS[c] - NT[c]
    primerkov rke c, e pa je NS[c] < NT[c], moramo 
    dodati NT[c] - NS[c] primerkov te rke.  tevilo
    operacij pri rki c je torej Abs(NS[c] - NT[c]).
    To moramo setevi po vseh rkah. } 
  Vsota := 0; 
  for c := 'a' to 'z' do 
    Inc(Vsota, Abs(NS[c] - NT[c])); 
  Razdalja := Vsota; 
end; {Razdalja} 

var S, T: string; i: integer;
begin {RazlicnostNizov}
  { Preberimo dva niza (e ju nismo dobili e v ukazni vrstici). }
  if ParamCount >= 2 then begin
    S := ParamStr(1); T := ParamStr(2);
  end else begin
    Write('Vnesi S: '); ReadLn(S);
    Write('Vnesi T: '); ReadLn(T);
  end; {if}
  { Preverimo, e sta res samo iz malih rk a..z. }
  for i := 1 to Length(S) do if not (S[i] in ['a'..'z']) then 
      begin WriteLn('Napaka pri ', i, '. znaku niza "', S, '".'); Halt; end;
  for i := 1 to Length(T) do if not (T[i] in ['a'..'z']) then 
      begin WriteLn('Napaka pri ', i, '. znaku niza "', T, '".'); Halt; end;
  { Izraunajmo razdaljo, izpiimo rezultat. }
  WriteLn('Razdalja("', S, '", "', T, '") = ', Razdalja(S, T));
end. {RazlicnostNizov}
