{$M 16384,0,0}
program MeriCas;
uses Crt, Dos;
var
  ZacUra, ZacMin, ZacSek, ZacStot : word;
  KonUra, KonMin, KonSek, KonStot : word;
  ZacCas, KonCas : longint;
  fVzorci : text;
  Vzorec : string;

procedure PreveriNapako;
begin
  if DosError <> 0 then begin
    case DosError of
       2 : writeln ( 'Error: File not found' );
       3 : writeln ( 'Error: Path not found' );
       5 : writeln ( 'Error: Access denied' );
       6 : writeln ( 'Error: Invalid handle' );
       8 : writeln ( 'Error: Not enough memory' );
      10 : writeln ( 'Error: Invalid environment' );
      11 : writeln ( 'Error: Invalid format' );
      18 : writeln ( 'Error: No more files' );
    else
      writeln ( 'Unknown error' );
    end;
    Halt;
  end;
end; { PreveriNapako }

begin
  Assign ( fVzorci, 'Vzorci.Txt' ); Reset ( fVzorci );
  GetTime ( ZacUra, ZacMin, ZacSek, ZacStot );
  while not Eof ( fVzorci ) do begin
    ReadLn ( fVzorci, Vzorec );
    Exec ( ParamStr ( 1 ), Vzorec ); PreveriNapako;
  end;
  GetTime ( KonUra, KonMin, KonSek, KonStot );
  Close ( fVzorci );

  ZacCas := Longint ( ZacUra ) * 360000 + Longint ( ZacMin ) * 6000 +
   Longint ( ZacSek ) * 100 + Longint ( ZacStot );
  KonCas := Longint ( KonUra ) * 360000 + Longint ( KonMin ) * 6000 +
   Longint ( KonSek ) * 100 + Longint ( KonStot );
  writeln ( 'Program ', ParamStr ( 1 ),
   ' se je izvajal ', ( KonCas - ZacCas ) / 100:0:2, ' sekund.' );
end.