unit Zirija;

interface

var
  fZreb, fRezultat: text;

procedure Pripravi;
procedure Pospravi;
function Zrebaj(var St: integer): boolean;
procedure Zapisi(Zadetkov: integer);

implementation

uses Dos;
var
  ZacetniCas, KoncniCas: longint;

procedure Pripravi;
begin
  Assign(fRezultat, 'Rezultat.Txt'); Rewrite(fRezultat);
  Assign(fZreb, 'Zreb.Txt'); Reset(fZreb);
  ZacetniCas := -1;
end;

procedure Pospravi;
var
  H, M, S, S100: word;
begin
  GetTime(H, M, S, S100);
  KoncniCas :=
   longint(H)*360000 + longint(M)*6000 + longint(S)*100 + longint(S100);
  writeln('Trajanje: ', (KoncniCas - ZacetniCas) / 100:0:1, ' sekund');
  writeln(fRezultat, (KoncniCas - ZacetniCas) / 100:0:1);
  Close(fZreb);
  Close(fRezultat);
end;

function Zrebaj(var St: integer): boolean;
var
  H, M, S, S100: word;
begin
  if ZacetniCas < 0 then begin
    GetTime(H, M, S, S100);
    ZacetniCas :=
     longint(H)*360000 + longint(M)*6000 + longint(S)*100 + longint(S100);
  end;
  if Eof(fZreb) then
    Zrebaj := false
  else begin
    ReadLn(fZreb, St); write(fRezultat, St); write(St);
    Zrebaj := true;
  end;
end;

procedure Zapisi(Zadetkov: integer);
begin
  writeln(' ', Zadetkov);
  writeln(fRezultat, ' ', Zadetkov);
end;

end.
