program Vrivanje; { RTK 1989.2.1 }
type 
  Top = record 
    Ime: array[1..20] of char; 
    Rezultat, Nivo: integer; 
  end;
  TopFile = file of Top; 

procedure InTop10(var f: TopFile; Novi: Top); 
var 
  Zadnji, Tekoci: integer; OK: boolean; 
  Top10: array[1..11] of Top; 
begin
  OK := false; 
  Reset(f); 
  Zadnji := 0; 
  while not Eof(f) and (Zadnji < 10) do begin 
    Zadnji := Zadnji + 1; 
    Read(f, Top10[Zadnji]); 
    if (Top10[Zadnji].Rezultat < Novi.Rezultat) and not OK then begin 
      { Novi zapis bo treba vriniti pred ravnokar prebranega. } 
      Top10[Zadnji + 1] := Top10[Zadnji]; 
      Top10[Zadnji] := Novi; 
      Zadnji := Zadnji + 1; 
      OK := true; 
    end; {if}
  end; {while}
  { e novega zapisa e nismo vrinili v zaporedje, ga dajmo na konec. 
    e smo prebrali deset zapisov, se bo tam na koncu sicer izgubil, 
    e pa smo jih prebrali manj, bo priel e prav. }
  if not OK then begin 
    Zadnji := Zadnji + 1; 
    Top10[Zadnji] := Novi; 
  end; {if}
  { Najve deset zapisov shranimo nazaj v datoteko. } 
  if Zadnji > 10 then 
    Zadnji := 10; 
  Rewrite(f); 
  for Tekoci := 1 to Zadnji do 
    Write(f, Top10[Tekoci]); 
end; {InTop10}

{-----------------------------------------------------------------------------}
{ Preizkuanje gornjega podprograma.                                          }
{-----------------------------------------------------------------------------}

procedure IzpisiDatoteko(var f: TopFile);
var i: integer; T: Top; S: string;
begin
  i := 0; Reset(f);
  while not Eof(f) do begin
    i := i + 1; Read(f, T);
    S := T.Ime; while Length(S) < 30 do S := S + ' ';
    WriteLn(i:2, '. ', S, T.Rezultat:5, T.Nivo:5);
  end; {while}
  Close(f);
  WriteLn('--');
end; {IzpisiDatoteko}

procedure Vrini(var f: TopFile; Ime: string; Rezultat, Nivo: integer);
var T: Top;
begin
  T.Ime := Ime; T.Rezultat := Rezultat; T.Nivo := Nivo;
  InTop10(f, T);
end; {Vrini}

var f: TopFile; 
begin {Vrivanje}
  { Pripravimo deset tekmovalcev. }
  Assign(f, 'rtk89s2n1.dat'); Rewrite(f);
  Vrini(f, 'Deveti', 200, 942);
  Vrini(f, 'Tretji', 800, 835);
  Vrini(f, 'Osmi', 300, 624);
  Vrini(f, 'Cetrti', 700, 638);
  Vrini(f, 'Prvi', 1000, 123);
  Vrini(f, 'Peti', 600, 175);
  Vrini(f, 'Sedmi', 400, 827);
  Vrini(f, 'Deseti', 100, 397);
  Vrini(f, 'esti', 500, 962);
  Vrini(f, 'Drugi', 900, 464);
  IzpisiDatoteko(f);
  Vrini(f, 'Novi', 105, 999);
  IzpisiDatoteko(f);
  Vrini(f, 'Noveji', 666, 6969);
  IzpisiDatoteko(f);
  Vrini(f, 'Najnoveji', 555, 1234);
  IzpisiDatoteko(f);
  Erase(F);
end. {Vrivanje}
