program PresekObstaja; { RTK 2000.2.2 }
{ Ta program bere pravokotnike kar s standardnega vhoda. 
  Na koncu izpie njihov presek (oz. e je prazen,
  pove, da je prazen). }

type 
  Kvadrat = record            { vsak kvadrat je podan z dvema tokama: } 
    x1, y1, x2, y2: integer;  { spodnjim levim in zgornjim desnim ogliem } 
  end;

var Presek, K: Kvadrat; 
    Obstaja: boolean;
begin
  { Preberimo prvi kvadrat.  V spremenljivki Presek bo
    vedno shranjen presek vseh doslej prebranih kvadratov. }
  ReadLn(Presek.x1, Presek.y1, Presek.x2, Presek.y2); 
  Obstaja := true;
  { Berimo ostale kvadrate.  Presek sproti popravljamo in
    e postane prazen, lahko takoj nehamo. }
  while Obstaja and not Eof do begin
    ReadLn(K.x1, K.y1, K.x2, K.y2);
    if K.x1 > Presek.x1 then Presek.x1 := K.x1;
    if K.y1 > Presek.y1 then Presek.y1 := K.y1;
    if K.x2 < Presek.x2 then Presek.x2 := K.x2;
    if K.y2 < Presek.y2 then Presek.y2 := K.y2;
    Obstaja := (Presek.x1 <= Presek.x2) and (Presek.y1 <= Presek.y2);
  end; {while}
  { Izpiimo rezultat. }
  if not Obstaja then WriteLn('Presek je prazen.')
  else WriteLn('Presek: (', Presek.x1, ', ', Presek.y1, ')--(', 
               Presek.x2, ', ', Presek.y2, ')');
end. {PresekObstaja}