program Parlament2; { RTK 2001.3.3, dinamino programiranje }
const MaxN = 20; MaxPoslancev = 10000;
type 
  TabelaI = array[0..MaxPoslancev] of integer;
  TabelaL = array[0..MaxPoslancev] of longint;
var 
  P: array[1..MaxN] of integer; T: text; Prva: boolean;
  i, j1, j2, StKoal, StKoalPrej, Moc1, Moc2, Moc, MaxMoc, N: integer;
  Moci, MociPrej, MociTemp: ^TabelaI;
  Koal, KoalPrej, KoalTemp: ^TabelaL;
begin
  New(Moci); New(MociPrej); New(Koal); New(KoalPrej);
  { Preberi vhodne podatke. }
  if ParamCount > 0 then Assign(T, ParamStr(1)) else Assign(T, 'parlamen.in'); 
  Reset(T); Read(T, N); 
  for i := 1 to N do Read(T, P[i]); 
  Close(T); 
  { Zanimale nas bodo ibke koalicije -- dovolj ibke, 
    da so njihovi komplementi veinske koalicije. }
  MaxMoc := 0;
  for i := 1 to N do MaxMoc := MaxMoc + P[i];
  MaxMoc := (MaxMoc - 1) div 2;
  { Koalicije 0 strank. }
  StKoal := 1; Moci^[0] := 0; Koal^[0] := 0;
  { Preglejmo veje koalicije. }
  for i := 1 to N do begin
    MociTemp := Moci; Moci := MociPrej; MociPrej := MociTemp;
    KoalTemp := Koal; Koal := KoalPrej; KoalPrej := KoalTemp;
    StKoalPrej := StKoal; StKoal := 0;
    { Zdaj so v MociPrej/KoalPrej vse neveinske koalicije,
      v katerih nastopajo le stranke do vkljuno i - 1.
      Dodajmo koalicije, v katerih nastopa tudi stranka i. }
    j1 := 0; j2 := 0;
    while (j1 < StKoalPrej) or (j2 < StKoalPrej) do begin
      { Seznam koalicij hoemo imeti urejen po naraajoi moi.
        Z j1 se sprehajamo po dosedanjem seznamu koalicij, z j2 pa
        po istem seznamu, le da je zamaknjen za P[i], kar bo ponazarjalo 
        dodajanje stranke i v te koalicije. }
      if j1 < StKoalPrej then Moc1 := MociPrej^[j1] else Moc1 := MaxMoc + 1;
      if j2 < StKoalPrej then Moc2 := MociPrej^[j2] + P[i] else Moc2 := MaxMoc + 1;
      if Moc1 < Moc2 then Moc := Moc1 else Moc := Moc2;
      if Moc > MaxMoc then break; { od tu naprej so le e premone koalicije }
      { Dodajmo novo koalicijo in poveajmo tevca j1 in/ali j2. }
      if Moc = Moc1 then Koal^[StKoal] := KoalPrej^[j1]
      else Koal^[StKoal] := KoalPrej^[j2] or (longint(1) shl (i - 1)); 
      Moci^[StKoal] := Moc; StKoal := StKoal + 1;
      if Moc = Moc1 then j1 := j1 + 1;
      if Moc = Moc2 then j2 := j2 + 1;
    end; {while}
    if Moci^[StKoal - 1] = MaxMoc then break;
  end; {for i}
  { Najibkeja veinska koalicija je ravno komplement
    najmoneje manjinske koalicije. }
  if ParamCount > 1 then Assign(T, ParamStr(2)) else Assign(T, 'parlamen.out'); 
  Rewrite(T); Prva := true;
  for i := 1 to N do if (Koal^[StKoal - 1] shr (i - 1)) and 1 = 0 then begin
    if Prva then Prva := false else Write(T, ' ');
    Write(T, i);
  end; {for i, if}
  Close(T); Dispose(Moci); Dispose(MociPrej); Dispose(Koal); Dispose(KoalPrej);
end. {Parlament2}
