program Sestanki1; { RTK 2002.3.4 }
const MaxSest = 10000;
var T: text; Casi: array[1..2 * MaxSest + 2] of longint; i, StCasov, StSest: integer;

  procedure Dodaj(Cas: longint);
  var i: integer;
  begin
    i := StCasov; while i >= 1 do
      if Abs(Casi[i]) < Abs(Cas) then break
      else begin Casi[i + 1] := Casi[i]; i := i - 1; end;
    Casi[i + 1] := Cas; StCasov := StCasov + 1;
  end; {Dodaj}

var MinCas, MaxCas, Dolz, Zac, Trajanje: longint;
begin
  { Preberimo vhodne podatke. }
  if ParamCount > 0 then Assign(T, ParamStr(1)) else Assign(T, 'sestanki.in'); 
  Reset(T); ReadLn(T, MinCas, MaxCas, Dolz); StSest := 0;
  while true do begin
    ReadLn(T, Zac, Trajanje); 
    if Zac + Trajanje = 0 then { 0 0 preskoimo; e sta dva zaporedna, konamo }
      begin ReadLn(T, Zac, Trajanje); if Zac + Trajanje = 0 then break; end;
    { asi koncev bodo dobili negativni predznak, da jih bomo lahko
      loili od asov zaetkov.  Predpostavili bomo, da se noben
      sestanek ne zane ob negativnem asu ali pa kona ob asu 0. }
    { Vstavimo as zaetka in konca v urejeno zaporedje. }
    Dodaj(Zac); Dodaj(-(Zac + Trajanje));
  end; {while}
  Close(T);
  { V zaporedje dodajmo e "sestanek" 0..MinCas.  To nas bo prisililo,
    da sestanka ne bomo zaeli prezgodaj. }
  if MinCas > 0 then begin Dodaj(0); Dodaj(-MinCas); Zac := Casi[1]; end
  else Zac := MinCas;
  { Poiimo primeren as zaetka sestanka. }
  i := 1; StSest := 0;
  while (i <= StCasov) and (Zac + Dolz <= MaxCas) do begin
    if (StSest <= 0) and (Zac + Dolz <= Abs(Casi[i])) then break;
    if Casi[i] < 0 then StSest := StSest - 1 else StSest := StSest + 1;
    Zac := Abs(Casi[i]); i := i + 1;
  end; {while}
  { Izpiimo rezultat. }
  if ParamCount > 1 then Assign(T, ParamStr(2)) else Assign(T, 'sestanki.out'); 
  Rewrite(T);
  if Zac + Dolz <= MaxCas then WriteLn(T, Zac)
  else WriteLn(T, 'SESTANEK NI MOZEN');
  Close(T);
end. {Sestanki1}
