program PruferjevKod; { RTK 2002.3.6 }
const MaxN = 10000;
var Listi: array[1..MaxN] of integer; StListov: integer;

  function PrviList: integer;
  var i, ci, x: integer;
  begin
    PrviList := Listi[1]; x := Listi[StListov]; StListov := StListov - 1; i := 1;
    while 2 * i <= StListov do begin
      ci := 2 * i;
      if ci + 1 <= StListov then if Listi[ci + 1] > Listi[ci] then ci := ci + 1;
      if Listi[ci] <= x then break;
      Listi[i] := Listi[ci]; i := ci;
    end; {while}
    Listi[i] := x;
  end; {PrviList}
  
  procedure DodajList(x: integer);
  var i, pi: integer;
  begin
    StListov := StListov + 1; i := StListov; 
    while i > 1 do begin
      pi := i div 2; if Listi[pi] >= x then break;
      Listi[i] := Listi[pi]; i := pi;
    end; {while}
    Listi[i] := x; 
  end; {DodajList}

type 
  VozlisceT = record Stopnja, Sosedje: integer end;
  PovezavaT = record Sosed, Prejsnja, Naslednja, Nasprotna: integer end;
var 
  T: text; N, i, u, w: integer; 
  V: array[1..MaxN] of VozlisceT;
  E: array[1..2 * (MaxN - 1)] of PovezavaT;
begin
  { Preberimo tevilo vozli. }
  if ParamCount > 0 then Assign(T, ParamStr(1)) else Assign(T, 'produkt.in'); 
  Reset(T); ReadLn(T, N); 
  for u := 1 to N do begin V[u].Stopnja := 0; V[u].Sosedje := 0; end;
  { Preberimo povezave. }
  for i := 1 to N - 1 do begin
    ReadLn(T, u, w); 
    { w postane u-jev sosed. }
    with E[2 * i - 1] do begin Sosed := w; Prejsnja := 0; Naslednja := V[u].Sosedje; Nasprotna := 2 * i; end;
    if V[u].Sosedje > 0 then E[V[u].Sosedje].Prejsnja := 2 * i - 1;
    V[u].Sosedje := 2 * i - 1; V[u].Stopnja := V[u].Stopnja + 1; 
    { u postane w-jev sosed. }
    with E[2 * i] do begin Sosed := u; Prejsnja := 0; Naslednja := V[w].Sosedje; Nasprotna := 2 * i - 1; end;
    if V[w].Sosedje > 0 then E[V[w].Sosedje].Prejsnja := 2 * i;
    V[w].Sosedje := 2 * i; V[w].Stopnja := V[w].Stopnja + 1;
  end; {for i}
  { Dodajmo liste v kopico. }
  Close(T); StListov := 0; 
  for u := 1 to N do if V[u].Stopnja = 1 then DodajList(u);
  { Izpiimo rezultat. }
  if ParamCount > 1 then Assign(T, ParamStr(2)) else Assign(T, 'produkt.out'); 
  Rewrite(T); 
  while N > 2 do begin
    u := PrviList; N := N - 1;
    w := E[V[u].Sosedje].Sosed; WriteLn(T, w);
    { Zbriimo zapis i, ki pravi, da je u sosed vozlia w. }
    i := E[V[u].Sosedje].Nasprotna;
    if E[i].Prejsnja > 0 then E[E[i].Prejsnja].Naslednja := E[i].Naslednja
    else V[w].Sosedje := E[i].Naslednja;
    if E[i].Naslednja > 0 then E[E[i].Naslednja].Prejsnja := E[i].Prejsnja;
    { e je w postal list, ga dodajmo v kopico. }
    V[w].Stopnja := V[w].Stopnja - 1;
    if V[w].Stopnja = 1 then DodajList(w);
  end; {while}
  Close(T);
end. {PruferjevKod}
