program UrejanjeBooleanov; { RTK 2003.X.6 }
uses Windows; { le za merjenje asa }
const N = 100000000;
var Tabela: array [1..N] of boolean;

procedure Urejanje;
var i, StFalse: integer;
begin
  StFalse := 0;
  for i := 1 to N do if not Tabela[i] then StFalse := StFalse + 1;
  for i := 1 to StFalse do Tabela[i] := false;
  for i := StFalse + 1 to n do Tabela[i] := true;
end; {Urejanje}

procedure Urejanje2;
var i, j: integer;
begin
  i := 1; j := n;
  while i < j do begin
    while (i < j) and not Tabela[i] do i := i + 1;
    while (i < j) and Tabela[j] do j := j - 1;
    if i < j then begin 
      Tabela[i] := false; Tabela[j] := true; 
      i := i + 1; j := j - 1 
    end; {if}
  end; {while}
end; {Urejanje2}

procedure Urejanje3;
var i, j: integer;
begin
  i := 1; while i <= n do if Tabela[i] then break else i := i + 1;
  j := i; i := i + 1;
  while i <= n do begin
    { Invarianta: Tabela[1..j-1] = false, Tabela[j..i-1] = true. }
    if not Tabela[i] then 
      begin Tabela[j] := false; Tabela[i] := true; j := j + 1 end;
    i := i + 1;
  end; {while}
end; {Urejanje3}

function Cas: double;
var ct, et, kt, ut: FILETIME;
begin
  GetProcessTimes(GetCurrentProcess, ct, et, kt, ut);
  Cas := (int64(ut.dwHighDateTime) shl 32 + int64(ut.dwLowDateTime)) / 10000000.0;
end;

var 
  i, j, StPonovitev, Test: integer; Opis: string;
  Neurejena: array [1..N] of boolean;
  T, DT1, DT2, DT3, T1, T2, T3: double;
begin
  for Test := 0 to 4 do begin
    case Test of
      0: begin
        Opis := 'nakljucna tabela';
        for i := 1 to N do Neurejena[i] := Random(2) = 1;
      end; {case 0}
      1: begin
        Opis := 'narascajoca tabela';
        for i := 1 to N do Neurejena[i] := (i >= N div 2);
      end; {case 1}
      2: begin
        Opis := 'padajoca tabela';
        for i := 1 to N do Neurejena[i] := (i < N div 2);
      end; {case 2}
      3: begin
        Opis := 'same vrednosti false';
        for i := 1 to N do Neurejena[i] := false;
      end; {case 3}
      4: begin
        Opis := 'same vrednosti true';
        for i := 1 to N do Neurejena[i] := true;
      end; {case 3}
    end; {case Test}
    T1 := 0; T2 := 0; T3 := 0;
    StPonovitev := 10;
    for j := 1 to StPonovitev do begin
      for i := 1 to N do Tabela[i] := Neurejena[i];
      T := Cas; Urejanje; DT1 := Cas - T;
      T1 := T1 + DT1; 
      {for i := 1 to N do if Tabela[i] then Write('T') else Write('.'); WriteLn;}
      for i := 1 to N do Tabela[i] := Neurejena[i];
      T := Cas; Urejanje2; DT2 := Cas - T;
      T2 := T2 + DT2;
      {for i := 1 to N do if Tabela[i] then Write('T') else Write('.'); WriteLn;}
      for i := 1 to N do Tabela[i] := Neurejena[i];
      T := Cas; Urejanje3; DT3 := Cas - T;
      T3 := T3 + DT3;
      {for i := 1 to N do if Tabela[i] then Write('T') else Write('.'); WriteLn;}
      WriteLn(Opis, Chr(9), N, Chr(9), j - 1, Chr(9), DT1:0:8, Chr(9), DT2:0:8, Chr(9), DT3:0:8);
    end; {for j}
    WriteLn(Opis, Chr(9), N, Chr(9), StPonovitev, Chr(9), (T1 / StPonovitev):0:8, Chr(9), (T2 / StPonovitev):0:8, Chr(9), (T3 / StPonovitev):0:8);
  end; {for Test}
end.


